"""JARVIS Prometheus extra tracking."""
from prometheus_client import Counter, Info

malicious_tracker = Counter(
    "jarvis_malicious_blocked",
    "Amount of malicious messages blocked",
    labelnames=["guild_id", "guild_name"],
)

warnings_tracker = Counter(
    "jarvis_warnings", "Amount of warnings given out", labelnames=["guild_id", "guild_name"]
)

jarvis_info = Info("jarvis", "Jarvis version")
